Subject: Re: bug#74995: 30.0.93; shortdoc-function-examples not autoloaded

From: "Fran Burstall (Gmail)" <[email-masked]>
Date: Fri, 20 Dec 2024 17:08:34 +0000

Sorry.  It seems that things are slightly more complicated.  I get the same
as you from emacs -Q.

To get what I saw, from emacs -Q, put

(require 'help-fns)  ; something I load, loads this.

(add-hook 'help-fns-describe-function-functions
  #'shortdoc-help-fns-examples-function)

into *scratch* and evaluate both forms.  Now doing "C-h append RET" causes:

help-fns--run-describe-functions: Symbol’s function definition is void:
shortdoc-help-fns-examples-function

Thanks,

---Fran

On Fri, 20 Dec 2024 at 15:56, Eli Zaretskii <[email-masked]> wrote:

> > From: Fran Burstall <[email-masked]>
> > Date: Fri, 20 Dec 2024 15:44:25 +0000
> >
> >
> > According to the NEWS, there are new functions
> >
> > shortdoc-function-examples
> > shortdoc-help-fns-examples-function
> >
> > and a suggestion to
> >
> > (add-hook 'help-fns-describe-function-functions
> >     #'shortdoc-help-fns-examples-function)
> >
> > However, neither function is available until the shortdoc
> > package is loaded.
> >
> > Perhaps a couple of autoload cookies are needed here?
>
> I started "emacs -Q", inserted
>
>     (add-hook 'help-fns-describe-function-functions
>         #'shortdoc-help-fns-examples-function)
>
> into *scratch*, evaluated it, then typed "C-h f string-replace RET"
> and got a *Help* buffer with an example of using string-replace.  So
> I'm not sure why you say we need autoload cookies, since the advice in
> NEWS seems to work OOTB.  What did I miss?
>
> Thanks.
>